<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::process_sample&lt; feature_extractor &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1process__sample.html">process_sample</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1process__sample-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::process_sample&lt; feature_extractor &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a29ad76102ef8e310414d9aacb951adfa"><td class="memItemLeft" align="right" valign="top"><a id="a29ad76102ef8e310414d9aacb951adfa"></a>
typedef feature_extractor&#160;</td><td class="memItemRight" valign="bottom"><b>feature_extractor_type</b></td></tr>
<tr class="separator:a29ad76102ef8e310414d9aacb951adfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abae1fa563a1719dfd0610ada66435dc9"><td class="memItemLeft" align="right" valign="top"><a id="abae1fa563a1719dfd0610ada66435dc9"></a>
typedef feature_extractor::state_type&#160;</td><td class="memItemRight" valign="bottom"><b>state_type</b></td></tr>
<tr class="separator:abae1fa563a1719dfd0610ada66435dc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9138dbccdffab726ed6bc0c947de2f6"><td class="memItemLeft" align="right" valign="top"><a id="ac9138dbccdffab726ed6bc0c947de2f6"></a>
typedef feature_extractor::action_type&#160;</td><td class="memItemRight" valign="bottom"><b>action_type</b></td></tr>
<tr class="separator:ac9138dbccdffab726ed6bc0c947de2f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac5ab09e0b14240eb5069acd264ea2c0d"><td class="memItemLeft" align="right" valign="top"><a id="ac5ab09e0b14240eb5069acd264ea2c0d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>process_sample</b> (const state_type &amp;s, const action_type &amp;a, const state_type &amp;n, const double &amp;r)</td></tr>
<tr class="separator:ac5ab09e0b14240eb5069acd264ea2c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:abb859585a70259dd354a6b7604fd2a4f"><td class="memItemLeft" align="right" valign="top"><a id="abb859585a70259dd354a6b7604fd2a4f"></a>
state_type&#160;</td><td class="memItemRight" valign="bottom"><b>state</b></td></tr>
<tr class="separator:abb859585a70259dd354a6b7604fd2a4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f95365abcfd06e667bd114c3147ad17"><td class="memItemLeft" align="right" valign="top"><a id="a9f95365abcfd06e667bd114c3147ad17"></a>
action_type&#160;</td><td class="memItemRight" valign="bottom"><b>action</b></td></tr>
<tr class="separator:a9f95365abcfd06e667bd114c3147ad17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b547e5c9d0a18e94bea10a693cf69f1"><td class="memItemLeft" align="right" valign="top"><a id="a2b547e5c9d0a18e94bea10a693cf69f1"></a>
state_type&#160;</td><td class="memItemRight" valign="bottom"><b>next_state</b></td></tr>
<tr class="separator:a2b547e5c9d0a18e94bea10a693cf69f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b699c66692df620a19e9682e9a6248f"><td class="memItemLeft" align="right" valign="top"><a id="a8b699c66692df620a19e9682e9a6248f"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>reward</b></td></tr>
<tr class="separator:a8b699c66692df620a19e9682e9a6248f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="approximate__linear__models_8h_source.html">approximate_linear_models.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
